<?php

namespace App\Providers;

use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;
use Illuminate\Support\Facades\Gate;

class AuthServiceProvider extends ServiceProvider
{
    protected $policies = [
        
    ];

    public function boot()
    {
        $this->registerPolicies();
        // Gate::before(function ($user, $ability) {
           // return $user->email == 'admin@gmail.com' ?? null;
        //    if ($user->email == 'admin@gmail.com') {
        //     return true;
        //     }

        Gate::before(function ($user, $ability) {
            return $user->hasRole('super_admin') ? true : null;
        });
    }
}