<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;

class RoleSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $superAdmin = Role::create(['name' => 'super_admin']);
        $soporte = Role::create(['name' => 'soporte']);
        $marketing = Role::create(['name' => 'marketing']);
        $operador = Role::create(['name' => 'operador']);

        $superAdmin->givePermissionTo(Permission::all());
    }
}
