
function showDeleteModalClient(clientId, clientName) {
    const modal = document.getElementById('deleteClientModal');
    const form = document.getElementById('deleteForm-' + clientId);
    const confirmButton = document.getElementById('confirmDeleteClient');
    const cancelButton = document.getElementById('cancelDeleteClient');
    const clientsName = document.getElementById('clientsName');

    clientsName.textContent = clientName;

    // Mostrar el modal
    modal.classList.remove('hidden');

    // Si se confirma la eliminación
    confirmButton.onclick = function () {
        form.submit(); // Enviar el formulario para eliminar
    }

    // Si se cancela
    cancelButton.onclick = function () {
        modal.classList.add('hidden'); // Ocultar el modal
    }
}

// Ocultar el modal si se hace clic fuera de él
window.addEventListener('click', function (event) {
    const modal = document.getElementById('deleteModal');
    if (event.target === modal) {
        modal.classList.add('hidden');
    }
});

