<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Reporte de metas</title>
    <style>
        body { font-family: Arial, sans-serif; }
        table { width: 100%; border-collapse: collapse; margin-top: 20px; }
        th, td { border: 1px solid black; padding: 8px; text-align: center; }
        th { background-color: #f2f2f2; }
    </style>
</head>
<body>
    <h2 style="text-align: center;">Reporte de metas</h2>
    <table>
        <thead>
            <tr>
                <th>#</th>
                <th>Título</th>
                <th>Descripción</th>
                <th>Cantidad</th>
                <th>Completadas</th>
                <th>Fecha Inicio</th>
                <th>Fecha Fin</th>
                <th>Creado</th>
                <th>Actualizado</th>
            </tr>
        </thead>
        <tbody>
            @foreach($metas as $meta)
            <tr>
                <td>{{ $meta->user_id }}</td>
                <td>{{ $meta->title }}</td>
                <td>{{ $meta->description }}</td>
                <td>{{ $meta->total_goals }}</td>
                <td>{{ $meta->completed_goals }}</td>
                <td>{{ $meta->start_date }}</td>
                <td>{{ $meta->end_date }}</td>
                <td>{{ $meta->created_at->format('d/m/Y H:i') }}</td>
                <td>{{ $meta->updated_at->format('d/m/Y H:i') }}</td>
            </tr>
            @endforeach
        </tbody>
    </table>
</body>
</html>
