<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54 = $attributes; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\AppLayout::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="p-4 bg-white dark:bg-slate-800 rounded-lg shadow-md">
        <a href="<?php echo e(route('goals.index')); ?>" class="text-black hover:text-gray-500">
            <i class="fas fa-arrow-left dark:text-gray-300"></i>
        </a>

        <div class="flex mt-4 h-8 md:block hidden">
            <div class="w-full md:flex items-center justify-between space-x-4">
                <div class="flex justify-start w-full md:w-1/3 mb-2 md:mb-0">
                    <label for="week_number"
                        class=" text-xl px-1 block text-center text-gray-700 dark:text-gray-300 mr-2 rounded-md">
                        Metas anteriores
                    </label>
                </div>

                <div class="flex justify-end w-full md:w-2/3 mb-2 md:mb-0">
                    <form action="<?php echo e(route('goals.previous')); ?>" method="GET" class="flex w-full md:w-56 space-x-2">
                        </p>
                        <div class="flex justify-center items-center">
                            <button type="submit"
                                class="bg-naranja hover:bg-orange-400 dark:hover:bg-orange-400 text-white h-6 w-16 rounded-md">Filtrar</button>
                        </div>
                        <select name="week_number" id="week_number"
                            class="w-40 p-2 rounded-md text-xs leading-tight h-8
                            bg-white border-gray-200 text-gray-700 hover:border-gray-400 focus:border-gray-200 focus:ring-gray-400 
                               dark:bg-slate-800 dark:border-slate-700 dark:text-gray-300 dark:hover:border-slate-500 dark:focus:border-slate-400 dark:focus:ring-slate-400 
                            ">
                            <?php for($i = 1; $i <= 52; $i++): ?>
                                <option value="<?php echo e($i); ?>" <?php echo e($i == $currentWeekNumber ? 'selected' : ''); ?>>
                                    Semana <?php echo e($i); ?>

                                </option>
                            <?php endfor; ?>
                        </select>
                    </form>
                </div>
            </div>
        </div>

        <!-- Menú hamburguesa, pantallas pequeñas -->
        <div class="md:hidden">
            <button id="menu-toggle" class="bg-naranja text-white px-3 py-2 rounded-lg">
                <i class="fas fa-bars"></i>
            </button>
            <div id="menu" class="hidden flex flex-col mt-2 space-y-2">
                <label for="week_number" class="w-full px-1 block text-center text-white mr-2 bg-naranja rounded-md">
                    Metas anteriores
                </label>
                <form action="<?php echo e(route('goals.previous')); ?>" method="GET" class="flex w-full space-x-2">
                    <button type="submit"
                        class="bg-naranja hover:bg-orange-400 dark:hover:bg-orange-400 text-white w-16 rounded-md">Filtrar</button>
                    <select name="week_number" id="week_number"
                        class="w-56 p-2 rounded-md 
                        text-xs leading-tight h-8
                            bg-white border-gray-200 text-gray-700 hover:border-gray-400 focus:border-gray-200 focus:ring-gray-400 
                               dark:bg-slate-800 dark:border-slate-700 dark:text-gray-300 dark:hover:border-slate-500 dark:focus:border-slate-400 dark:focus:ring-slate-400 ">
                        <?php for($i = 1; $i <= 52; $i++): ?>
                            <option value="<?php echo e($i); ?>" <?php echo e($i == $currentWeekNumber ? 'selected' : ''); ?>>
                                Semana <?php echo e($i); ?>

                            </option>
                        <?php endfor; ?>
                    </select>
                </form>
            </div>
        </div>

        <div class="relative overflow-x-auto shadow-md rounded-lg mt-4">
            <table class="min-w-full text-left text-sm border-collapse">
                <thead class="bg-gray-200 dark:bg-slate-600">
                    <tr class="text-gray-700 dark:text-gray-300">
                        <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">#</td>
                        <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Título</td>
                        <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Descripción</td>
                        <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Cantidad</td>
                        <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Completadas</td>
                        <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Fecha Inicio</td>
                        <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Fecha Fin</td>
                        <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Creado</td>
                        <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Actualizado</td>
                        <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Porcentaje</td>
                    </tr>
                </thead>

                <tbody class="bg-white text-gray-500 dark:bg-slate-400">
                    <?php $__currentLoopData = $goals; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $goal): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr class="dark:text-gray-100">
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($goal->user_id); ?></td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($goal->title); ?></td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($goal->description); ?></td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($goal->total_goals); ?></td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($goal->completed_goals); ?></td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($goal->start_date); ?></td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($goal->end_date); ?></td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($goal->created_at->format('d/m/Y H:i')); ?>

                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($goal->updated_at->format('d/m/Y H:i')); ?>

                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e(number_format($goal->percentage, 2)); ?> %
                            </td>
                            
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $attributes = $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php /**PATH C:\xampp\htdocs\teknologix\resources\views/goals/previous.blade.php ENDPATH**/ ?>