<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54 = $attributes; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\AppLayout::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="p-4 bg-white dark:bg-slate-800 rounded-lg shadow-md">
        <a href="<?php echo e(route('supports.index')); ?>" class="text-black hover:text-gray-500">
            <i class="fas fa-arrow-left dark:text-gray-300"></i>
        </a>

        <h1 class="text-2xl font-bold text-gray-700 dark:text-gray-300 mb-4 uppercase text-center">Indicador de
            casos</h1>

        <div class="relative overflow-x-auto shadow-md rounded-lg mt-4">
            <table class="min-w-full text-left text-sm border-collapse">
                <thead class="bg-gray-200 dark:bg-slate-600">
                    <tr class="text-gray-700 dark:text-gray-300">
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Tipo</th>
                        <?php
                            $monthsInSpanish = [
                                1 => 'Enero',
                                2 => 'Febrero',
                                3 => 'Marzo',
                                4 => 'Abril',
                                5 => 'Mayo',
                                6 => 'Junio',
                                7 => 'Julio',
                                8 => 'Agosto',
                                9 => 'Septiembre',
                                10 => 'Octubre',
                                11 => 'Noviembre',
                                12 => 'Diciembre',
                            ];
                        ?>

                        <?php for($i = 1; $i <= 12; $i++): ?>
                            <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($monthsInSpanish[$i]); ?>

                            </th>
                        <?php endfor; ?>

                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Promedio</th>
                    </tr>
                </thead>

                <tbody class="bg-white text-gray-500 dark:bg-slate-400">
                    <?php $__currentLoopData = $indicators; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type => $months): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr class="dark:text-gray-100">
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($type); ?>

                            </td>
                            <?php for($i = 1; $i <= 12; $i++): ?>
                                <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                    <?php echo e($months[$i] ?? 0); ?>

                                </td>
                            <?php endfor; ?>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e(number_format($averages[$type], 1)); ?>

                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>

                <tfoot class="bg-gray-100 dark:bg-slate-500">
                    <tr class="text-gray-700 dark:text-gray-300">
                        <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4"></td>
                        <?php $__currentLoopData = $monthlyTotals; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $total): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($total); ?>

                            </td>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                            <?php echo e(number_format($generalAverage, 1)); ?>

                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>

 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $attributes = $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php /**PATH C:\xampp\htdocs\teknologix\resources\views/supports/indicators.blade.php ENDPATH**/ ?>