// Mostrar el modal de confirmación
function showDeleteModalCase(caseId, caseType) {
    const modal = document.getElementById('deleteCaseModal');
    const form = document.getElementById('deleteForm-' + caseId);
    const confirmButton = document.getElementById('confirmDeleteCase');
    const cancelButton = document.getElementById('cancelDeleteCase');
    const caseName = document.getElementById('caseName');

    // Actualizar el nombre de la meta en el modal
    caseName.textContent = caseType;

    // Mostrar el modal
    modal.classList.remove('hidden');

    // Si se confirma la eliminación
    confirmButton.onclick = function () {
        form.submit(); // Enviar el formulario para eliminar
    }

    // Si se cancela
    cancelButton.onclick = function () {
        modal.classList.add('hidden'); // Ocultar el modal
    }
}

// Ocultar el modal si se hace clic fuera de él
window.addEventListener('click', function (event) {
    const modal = document.getElementById('deleteCaseModal');
    if (event.target === modal) {
        modal.classList.add('hidden');
    }
});

