// Mostrar el modal de confirmación
function showDeleteModalGoal(goalId, goalTitle) {
    const modal = document.getElementById('deleteGoalModal');
    const form = document.getElementById('deleteForm-' + goalId);
    const confirmButton = document.getElementById('confirmDeleteGoal');
    const cancelButton = document.getElementById('cancelDeleteGoal');
    const goalName = document.getElementById('goalName');

    // Actualizar el nombre de la meta en el modal
    goalName.textContent = goalTitle;

    // Mostrar el modal
    modal.classList.remove('hidden');

    // Si se confirma la eliminación
    confirmButton.onclick = function () {
        form.submit(); // Enviar el formulario para eliminar
    }

    // Si se cancela
    cancelButton.onclick = function () {
        modal.classList.add('hidden'); // Ocultar el modal
    }
}

// Ocultar el modal si se hace clic fuera de él
window.addEventListener('click', function (event) {
    const modal = document.getElementById('deleteGoalModal');
    if (event.target === modal) {
        modal.classList.add('hidden');
    }
});

