// Mostrar el modal de confirmación para eliminar rol
function showDeleteModalRole(roleId, roleName) {
    const modal = document.getElementById('deleteRoleModal');
    const form = document.querySelector(`form[action*="roles/${roleId}"]`);
    const confirmButton = document.getElementById('confirmDeleteRole');
    const cancelButton = document.getElementById('cancelDeleteRole');
    const roleNameElement = document.getElementById('roleName');

    roleNameElement.textContent = roleName;

    // Mostrar el modal
    modal.classList.remove('hidden');

    // Si se confirma la eliminación
    confirmButton.onclick = function () {
        form.submit(); // Enviar el formulario para eliminar
    }

    // Si se cancela
    cancelButton.onclick = function () {
        modal.classList.add('hidden'); // Ocultar el modal
    }
}

// Ocultar el modal si se hace clic fuera de él
window.addEventListener('click', function (event) {
    const modal = document.getElementById('deleteRoleModal');
    if (event.target === modal) {
        modal.classList.add('hidden');
    }
});
