// Mostrar el modal de confirmación
function showDeleteModalTask(taskId, taskActivity) {
    const modal = document.getElementById('deleteTaskModal');
    const form = document.getElementById('deleteForm-' + taskId);
    const confirmButton = document.getElementById('confirmDeleteTask');
    const cancelButton = document.getElementById('cancelDeleteTask');
    const taskName = document.getElementById('taskName');

    taskName.textContent = taskActivity;

    // Mostrar el modal
    modal.classList.remove('hidden');

    // Si se confirma la eliminación
    confirmButton.onclick = function () {
        form.submit(); // Enviar el formulario para eliminar
    }

    // Si se cancela
    cancelButton.onclick = function () {
        modal.classList.add('hidden'); // Ocultar el modal
    }
}

// Ocultar el modal si se hace clic fuera de él
window.addEventListener('click', function (event) {
    const modal = document.getElementById('deleteTaskModal');
    if (event.target === modal) {
        modal.classList.add('hidden');
    }
});

