<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Gráficas') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-6">
                <h2 class="text-lg font-bold mb-4 text-center text-gray-700">
                    Selecciona la gráfica que deseas ver
                </h2>
                <div class="flex justify-center gap-6 mb-6">
                <a href="{{ route('graphs.graph-goals') }}" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded shadow">
                    Ver gráfica de metas
                </a>
                <a href="{{ route('graphs.graph-supports') }}" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded shadow">
                    Ver gráficas de soportes
                </a>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>
